Summary: A GNU file archiving program.
Name: tar
%define dds2tarversion 2.5.2
%define tarversion 1.16
Version: %{tarversion}
Release: 2tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/tar/tar-%{tarversion}.tar.bz2
Source1: ftp://ftp.uni-duesseldorf.de/pub/unix/apollo/dds2tar-%{dds2tarversion}.tar.bz2
Patch0: tar-1.13.18-manpage.patch
Patch1: tar-CVE-2006-6097.patch
Patch2: tar-CVE-2007-4131.patch
Patch7: tar-1.13.25-dds.patch 
Patch8: tar-1.13.25-autoconf.patch
Patch10: dds2tar-makefile.patch
BuildRequires: autoconf >= 2.52, m4, texinfo
Buildroot: %{_tmppath}/%{name}-%{version}-root
PreReq: htmlinfo

%description -n tar
The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives, and the ability to perform incremental and full
backups.

If you want to use tar for remote backups, you also need to install
the rmt package.


%package -n dds2tar
Summary: Digital-Data-Storage Extract Tool
Version: %{dds2tarversion}
Group: Trustix Official

%description -n dds2tar
This tool makes use of the fast seek command of DAT devices.
Files from a selected file archive can be extracted within
one minute.

dds2tar adds the ability to extract single files inside a tar archive
on a scsi-tape very fast.


%prep
rm -rf tar_%{tarversion}
mkdir -p tar_%{tarversion}
%setup -q -T -D -a 0 -n tar_%{tarversion}
%setup -q -T -D -a 1 -n tar_%{tarversion}

cd tar-%{tarversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1

cd ..
cd dds2tar-%{dds2tarversion}
%patch10 -p1

%build
cd tar-%{tarversion}
%define optflags \$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE
# autoconf
%configure --bindir=/bin --libexecdir=/sbin
make LIBS=-lbsd

cd doc
makeinfo --html --no-split tar.texi
cd ..

cd ..
cd dds2tar-%{dds2tarversion}
make BUFFER=-DST_BUFFER_BLOCKS=32


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

cd tar-%{tarversion}
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    bindir=${RPM_BUILD_ROOT}/bin \
    libexecdir=${RPM_BUILD_ROOT}/sbin \
    mandir=${RPM_BUILD_ROOT}%{_mandir} \
    infodir=${RPM_BUILD_ROOT}%{_infodir} \
	install
ln -s tar ${RPM_BUILD_ROOT}/bin/gtar

mkdir -p $RPM_BUILD_ROOT/usr/share/html/tar
install -m 644 doc/tar.html  $RPM_BUILD_ROOT/usr/share/html/tar/

( cd $RPM_BUILD_ROOT
  for dir in ./bin ./sbin .%{_prefix}/bin .%{_prefix}/libexec
  do
    [ -d $dir ] || continue
    strip $dir/* || :
  done
  gzip -9nf .%{_infodir}/tar.info*
  rm -f .%{_infodir}/dir
)

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -c -m644 tar.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

# %find_lang %name

cd ..
cd dds2tar-%{dds2tarversion}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
%makeinstall


%post
/usr/sbin/htmlinfo_update.sh

%preun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/bin/tar
/bin/gtar
%{_mandir}/man1/tar.1*
%dir %{_prefix}/share/html/tar
%{_prefix}/share/html/tar/tar.html

%files -n dds2tar
%defattr(-,root,root,0755)
/usr/bin/dds2tar
/usr/bin/dds2index
/usr/bin/mt-dds
/usr/bin/dds-dd
/usr/bin/scsi_vendor
/usr/bin/ddstool
%doc %{_mandir}/man1/dds2index.1*
%doc %{_mandir}/man1/dds2tar.1*
%doc %{_mandir}/man1/dds-dd.1*
%doc %{_mandir}/man1/mt-dds.1*


%changelog
* Fri Sep 07 2007 Nived Gopalan <nived at trustix dot org> 1.16-2tr
- SECURITY Fix:  A vulnerability has been reported in GNU tar, caused
  due to an input validation error when extracting tar archives. This
  can be exploited to extract files to arbitrary locations outside the
  specified directory with the permissions of the user running GNU tar
  by using the "//.." directory traversal sequence in a specially
  crafted tar archive.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2007-4131 to this issue.

* Wed Nov 29 2006 Nived Gopalan <nived at trustix dot org> 1.16-1tr
- New Upstream
- Option -l is now an alias of --check-links option.
- SECURITY Fix: Teemu Salmela has reported a security issue in GNU tar,
  caused due to the "extract_archive()" function in extract.c and the
  "extract_mangle()" function in mangle.c still processing the deprecated
  "GNUTYPE_NAMES" record type containing symbolic links. This can be
  exploited to overwrite arbitrary files.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-6097 to this issue.

* Thu Feb 17 2006 Bipin S <bipin at trustix dot org> 1.14-2tr
- SECURITY Fix: Fixed Heap overlfow CVE-2006-0300.

* Mon Sep 27 2004 Erlend Midttun <erlendbm at trustix dot org> 1.14-1tr
- New upstream.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-9tr
- Big rebuild.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-8tr
- Big rebuild.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.13.25-7gd
- Added PreReq on htmlinfo

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-6em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-5em
- Make setup quiet.

* Wed Feb 26 2003 Goetz Bock <bock@trustx.org> tar-1.13.25-4bg
- changed package name to tar, and have the tar srpm provide dds2tar

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> dds2tar-2.4.21-3th
- Fixed package Group
- added texinfo buildreq

* Tue Nov 23 2002 Goetz Bock <blck@blacknet.de> 2.4.21-2bn
- merged the changes from info to htmlinfo from TSL2.0
- removed the i18n files
- added patch5 and pach6 from redhat to tar

* Mon Apr 15 2002 Goetz Bock <blck@blacknet.de> 2.4.21-1bn
- rebuild with real release number

* Thu Mar 14 2002 Goetz Bock <bock@blacknet.de>
- Combi SRPM with dds2tar and tar
- dds2tar 2.4.21
- tar 1.13.25
- builded for Trustix BlackNet Edition

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild
- based on redhat's tar-1.13.25-2

